'use strict';

import React from 'react';
import { render } from 'react-dom';
import Nav from './index';

function renderMongoNav(rootNode, props, next) {
  function onReady() {
    render(React.createElement(Nav, props), document.querySelector(rootNode), function () {
      return next && next();
    });
  }

  function onload() {
    document.removeEventListener('DOMContentLoaded', onload);
    window.removeEventListener('load', onload);
    onReady();
  }

  if (/^loaded|^i|^c/.test(document.readyState)) {
    onReady();
  } else {
    document.addEventListener('DOMContentLoaded', onload);
    window.addEventListener('load', onload);
  }
}

window.MongoNav = {
  render: renderMongoNav
};