'use strict';

import {h} from 'preact';

const renderLink = ({ href, text }, i) => h(
  'a',
  { key: i, href: href },
  h(
    'li',
    null,
    h(
      'strong',
      null,
      text
    )
  )
);

export default (({ first, header, links }) => h(
  'div',
  { className: `m-nav-cta ${first ? 'm-nav-cta-first' : ''}` },
  h(
    'h2',
    null,
    header
  ),
  h(
    'ul',
    null,
    links.map(renderLink)
  )
));