import {h, render} from 'preact'
import Footer from './index'

const renderMongoFooter = (rootNode, props) => {
  const onReady = () => {
    render(
      <Footer {...props} />,
      document.querySelector(rootNode))
  }

  const onload = () => {
    document.removeEventListener('DOMContentLoaded', onload)
    window.removeEventListener('load', onload)
    onReady()
  }

  if (/^loaded|^i|^c/.test(document.readyState)) {
    onReady()
  } else {
    document.addEventListener('DOMContentLoaded', onload)
    window.addEventListener('load', onload)
  }
}

window.MongoFooter = {render: renderMongoFooter}
