import {h} from 'preact'
import NavCTA from '../nav-cta'

const Link = (props) => {
  const content = props.bold || props.link
    ? <strong class='green'>{props.text}</strong>
    : props.text

  if (!props.href) {
    return <li class={props.class}>
      {content}
    </li>
  }

  return <a
    style={props.style}
    href={props.href}
    class={props.class}
    target={props.newTab ? '_blank' : '_self'}>
    <li>{content}</li>
  </a>
}

export default (props) => (
  <div class='m-nav-flex-space'>
    {props.cta &&
    <NavCTA
      first={props.count === 0}
      header={props.cta.header}
      links={props.cta.links} />}

    {((props.midSection.link ? [[props.midSection]] : [])
      .concat(props.linkLists || []))
      .map((links, i) =>
        <ul key={i}>
          {links.map((item, j) =>
            <Link
              key={`${i}.${j}`}
              bold={item.bold}
              link={item.link}
              text={props.isMobile && item.mobileText ? item.mobileText : item.text}
              href={item.href}
              class={item.class}
              style={item.style}
              newTab={item.newTab} />
          )}
        </ul>
      )
    }
  </div>
)
