import {h} from 'preact'
import SearchInput from './search'
import {contactIcon, downloadIcon} from '../nav-icons'

export default ({downloadUrl, downloadJmpValue, sections, contactUrl, searchUrl, host}) => {
  const dlUrl = downloadUrl || '/download-center'
  const dlJmpValue = downloadJmpValue || 'nav'
  const downloadJmp = dlJmpValue === '' ? '' : `?jmp=${dlJmpValue}`

  return (
    <div class='m-nav-top'>
      <ul>
        <div class='m-nav-top-links m-nav-flex-y m-nav-flex-nowrap'>
          {sections.map(renderSection)}
        </div>

        <div class='m-nav-flex-y m-nav-flex-nowrap'>
          <a href={contactUrl || '/contact?jmp=nav'}>
            <button
              class='reset bg-white m-nav-flex-xy m-nav-top-contact m-r-15'>
              {contactIcon}
            </button>
          </a>

          <SearchInput searchUrl={searchUrl || '/search?search='} />

          <a
            id='mongodb-nav-download-btn'
            href={`${host}${dlUrl}${downloadJmp}`}
            target={host === '' ? '_self' : '_blank'}>
            <button class='m-nav-top-dl btn-green'>
              <span>Get MongoDB</span>
              {downloadIcon}
            </button>
          </a>
        </div>
      </ul>
    </div>
  )
}

const renderSection = ({href, text, self}, i) => (
  <a
    key={i}
    target={self ? '_self' : '_blank'}
    href={href}>
    <li>{text}</li>
  </a>
)
