import {h, render} from 'preact'
import Nav from './index'

const renderMongoNav = (rootNode, props, next) => {
  const onReady = () => {
    render(
      <Nav {...props} />,
      document.querySelector(rootNode))
  }

  const onload = () => {
    document.removeEventListener('DOMContentLoaded', onload)
    window.removeEventListener('load', onload)
    onReady()
  }

  if (/^loaded|^i|^c/.test(document.readyState)) {
    onReady()
  } else {
    document.addEventListener('DOMContentLoaded', onload)
    window.addEventListener('load', onload)
  }
}

window.MongoNav = {render: renderMongoNav}
